#ifndef NOISE2_H
#define NOISE2_H

#include "Noise1.h"

class Noise2 {
  Noise1 **p;
  int m;
  void copy(const Noise2 &noise);
public:
  Noise2();
  Noise2(int n, int m);
  Noise2(const Noise2 &noise);
  virtual ~Noise2();
  Noise2 &operator=(const Noise2 &noise);
  double point(int n, int m);
  double noise(double p, double q);
  double perlin(double p, double q, int o, double a);
  double turbulence(double p, double q, int o, double a);
};

#endif
